@charset "utf-8";

/* --------------------------
基本設定
----------------------------- */

.container {
    width: min(100% - 4rem, 1200px); 
    margin: 0 auto;
    padding-bottom: 5rem;
}

.container::after {
    content: '';
    display: flex;

    width: 90%;
    height: 3px;

    margin: 0 auto;
    
    background: #222;
}


/* --------------------------
ローディング
----------------------------- */

/* ローディングの開始と終了 */
.loading {
    position: fixed;
    top: 0;
    left: 0;

    display: flex;
    align-items: center;
    justify-content: center;

    width: 100vw;
    height: 100vh;

    background-color: #fff;

    z-index: 9999;

    animation: loading 2.5s 2.8s forwards;
}

@keyframes loading {
    0% {
        opacity: 1;
    }
    100% {
        opacity: 0 ;
        visibility: hidden;
    }
}

/* ローディング画像のアニメーション */
.loading-logo {
    height: 100vh;
    object-fit: cover;

    opacity: 0;
    animation: logo_loading 2.5s .5s forwards;
}

@keyframes logo_loading {
    0% {
        opacity: 0;
        transform:scale(1.6);
    }

    100% {
        opacity: 1;
        transform: scale(1.2);
    }
}


/* --------------------------
キャッチコピー
----------------------------- */
.catch-area {
    padding: 0 2rem;
}

.catch-text {
    font-size: 1.3rem;
    font-weight: bold;

    line-height: 1.8;
}

/* --------------------------
コンテント各種
----------------------------- */
.content {
    display: flex;
    align-items: center;
    justify-content: center;
}

/*---- 親要素の指定：parent--------------------------------- */
.content .box-parent {
    border-radius: 50px;
}
/*---- ベースの設定：base--------------------------------- */
.content .box-base {
    display: flex;
    flex-direction: row-reverse;
    justify-content: space-between;

    padding: 2rem;
}



/*---- バックの設定：back--------------------------------- */
.content .box-back {
    top: 12px;
    left: 12px;
}

/*---- テキストエリア--------------------------------- */
.content .text-area {
    display: flex;
    flex-direction: column;
    justify-content: center;
    gap: 1rem;

    width: 50%;

    padding: 0 2rem;
}

.content .text-area h2 {
    font-family: "caraque-melted", sans-serif;
    font-weight: 700;
    font-style: normal;
    font-size: 4rem;
    letter-spacing: 2px;
}

.content dt {
    margin: 0 0 1rem;
    font-weight: bold;
    font-size: 1.3rem;
    line-height: 1.5;
}
.content dd {
    line-height: 1.5;
    margin:  0 0 1rem;
}

.view-all {
    background: #222;
    color: #fff;
    border-radius: 50px;

    text-align: center;
    padding: .5rem 0;

    font-family: "caraque-melted", sans-serif;
    font-weight: 700;
    font-style: normal;
    font-size: 1.2rem;
    letter-spacing: 1px;

    transition: all .2s;
}

.records .view-all:hover {
    background: #7D021A;
}
.records .view-all:active {
    background: #7D021A;
}
.foodbar .view-all:hover {
    background: #C26A10;
}
.foodbar .view-all:active {
    background: #C26A10;
}
.mypopbooth .view-all:hover {
    background: #DC8F0D;
}
.mypopbooth .view-all:active {
    background: #DC8F0D;
}
.onlineshop .view-all:hover {
    background: #69678C;
}
.onlineshop .view-all:active {
    background: #69678C;
}


/*---- 画像エリア--------------------------------- */
.img-area {
    width: 48%;
}



/* --------------------------
レスポンシブデザイン1000px
----------------------------- */
@media(max-width:1000px) {


    /* --------------------------
    キャッチコピー
    ----------------------------- */
    .catch-text {
        font-size: 1.2rem;
    }

    /* --------------------------
    コンテンツ
    ----------------------------- */
    .content .box-parent {
        position: relative;
        width: 90%;
        max-width: 700px;
    }
    .content .box-base {
        flex-direction: column-reverse;
        align-items: center;
        gap: 1rem;
        margin: 0 auto;
    }





    /* テキストエリア */
    .content .text-area {
        width: 100%;
    }
    /* 画像エリア */
    .content .img-area {
        width: 100%;
        max-width: 400px;
    }

}

/* --------------------------
レスポンシブデザイン600px
----------------------------- */
@media(max-width:600px) {

    /* --------------------------
    基本設定
    ----------------------------- */
    .container {
        padding: 0 1.5rem 0 1rem;
        width: 100%;
    }

    /* --------------------------
    コンテンツ
    ----------------------------- */
    .catch-area {
        padding: 0 1rem;
    }
    .catch-text {
        font-size: 1rem;
    }
    /* --------------------------
    コンテンツ
    ----------------------------- */
    .content .box-parent {
        width: 100%;
        max-width: 500px;
    } 
    .content .box-base {
        gap: 0;
        padding: 1rem;
    } 
    
    /* テキストエリア */
    .content .text-area {
        padding: 1rem;
    }

    .content .text-area h2 {
        font-size: 3rem;
    }

    .content dt {
        font-size: 1.1rem;
    }

    .content dd {
        font-size: .95rem;
    }
}